<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [TIX](./bitburner.tix.md) &gt; [cancelOrder](./bitburner.tix.cancelorder.md)

## TIX.cancelOrder() method

Cancel order for stocks.

**Signature:**

```typescript
cancelOrder(sym: string, shares: number, price: number, orderType: OrderType, positionType: PositionType): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sym | string | Stock symbol. |
|  shares | number | Number of shares for order. Must be positive. Will be rounded to the nearest integer. |
|  price | number | Execution price for the order. |
|  orderType | [OrderType](./bitburner.ordertype.md) | Type of order. |
|  positionType | [PositionType](./bitburner.positiontype.md) | Specifies whether the order is a Long ("L") or Short ("S") position. |

**Returns:**

void

## Remarks

RAM cost: 2.5 GB Cancels an outstanding Limit or Stop order on the stock market.

The ability to use limit and stop orders is \*\*not\*\* immediately available to the player and must be unlocked later on in the game.

